{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>{% block title %}{% endblock title %}</title>
    <link rel="stylesheet" href="{% static 'css/recipes.css' %}">
</head>
    <header>
        <nav>
            <a style="text-decoration:none" href="{% url 'recipe_list' %}">Main Page</a>
            <a style="text-decoration:none" href="{% url 'create_recipe' %}">Create a recipe</a>

            {% if user.is_authenticated %}
                Hello, {{ user.username }}
                <a class="log" style="text-decoration:none" href="{% url 'user_logout' %}">Logout</a>
            {% else %}
            <a style="text-decoration:none" href="{% url 'signup' %}">Sign up</a>
            <a class="log" style="text-decoration:none" href="{% url 'user_login' %}">Login</a>
            {% endif %}
        </nav>
    </header>
<body>
    {% block content %}{% endblock content %}
    <footer>Made with love by Scrumptious Recipes</footer>
</body>
</html>
